<?php
//  echo 123;
//  die;

$model = new Suggestions('sugg');

 if(isset($_POST['submit'])){



   if(!empty($_POST['name']))
   {
    
    $model->name=$_POST['name'];
    //$model->save();
    //echo $_POST['name'];
  }

  if(!empty($_POST['type']))
  {
    
    $model->type=$_POST['type'];
  //   $model->save();
  //  echo '<br>';
  //   echo $_POST['type'];
  }

  if(!empty($_POST['phone']))
  {
    $model->phone=$_POST['phone'];
  //   $model->save();
  //   echo '<br>';
  //   echo $_POST['phone'];
  }

  if(!empty($_POST['mobile']))
  {
    $model->mobile=$_POST['mobile'];
  //   $model->save();
  //   echo '<br>';
  //   echo $_POST['mobile'];
   }

  if(!empty($_POST['mail']))
  {
    $model->mail=$_POST['mail'];
  //   $model->save();
  //   echo '<br>';
  //   echo $_POST['mail'];
  }

  if(!empty($_POST['callTime']))
  {
    $model->call_time=$_POST['callTime'];
  //   $model->save();
  //   echo '<br>';
  //   echo $_POST['callTime'];
  }

  if(!empty($_POST['notDate']))
  {
     $model->note_date =$_POST['notDate'];
  //   // echo '<br>';
  //   // echo $_POST['notDate'];
  }

  if(!empty($_POST['place']))
  {
    $model->place =$_POST['place'];
  //   $model->save();
  //   echo '<br>';
  //   echo $_POST['place'];
  }

  if(!empty($_POST['relat']))
  {
    $model->relat =$_POST['relat'];
  //   $model->save();
  //   echo '<br>';
  //   echo $_POST['relat'];
  }

  if(!empty($_POST['message']))
  {
  $model->message =$_POST['message'];
  // $model->save();
  //   echo '<br>';
  //   echo $_POST['message'];
  }
  // if($model->validate()){
  if(!$model->save())
  {
    var_dump($model->getErrors());
  }
 //  }
 }


?>